aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastien Fabbro <seb@cayenne.ist.utl.pt>2009-10-23 20:37:10 +0100
committerSebastien Fabbro <seb@cayenne.ist.utl.pt>2009-10-23 20:37:10 +0100
commitd235fca786a4bbe8e677d9dc0367e20397f98cb2 (patch)
tree74cbe9a015c48760f534422430a651369bec3faf /sys-cluster
parentsci-chemistry/polygon initial commit (diff)
downloadsci-d235fca786a4bbe8e677d9dc0367e20397f98cb2.tar.gz
sci-d235fca786a4bbe8e677d9dc0367e20397f98cb2.tar.bz2
sci-d235fca786a4bbe8e677d9dc0367e20397f98cb2.zip
Added classads
Diffstat (limited to 'sys-cluster')
-rw-r--r--sys-cluster/classads/ChangeLog10
-rw-r--r--sys-cluster/classads/Manifest4
-rw-r--r--sys-cluster/classads/classads-1.0.4.ebuild28
-rw-r--r--sys-cluster/classads/metadata.xml15
4 files changed, 57 insertions, 0 deletions
diff --git a/sys-cluster/classads/ChangeLog b/sys-cluster/classads/ChangeLog
new file mode 100644
index 000000000..4454ed227
--- /dev/null
+++ b/sys-cluster/classads/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for sys-cluster/classads
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*classads-1.0.4 (23 Oct 2009)
+
+ 23 Oct 2009; S├ębastien Fabbro <bicatali@gentoo.org>
+ +classads-1.0.4.ebuild, +metadata.xml:
+ Initial import, required for condor
+
diff --git a/sys-cluster/classads/Manifest b/sys-cluster/classads/Manifest
new file mode 100644
index 000000000..49ca0e71f
--- /dev/null
+++ b/sys-cluster/classads/Manifest
@@ -0,0 +1,4 @@
+DIST classads-1.0.4.tar.gz 492002 RMD160 73db92f3b579eda7969dfba030eadfc77beb2470 SHA1 3df00697bbbf8ad10b42e3e552d8f80e5a485f31 SHA256 80b11c6d383891c90e04e403b2f282e91177940c3fe536082899fbfb9e854d24
+EBUILD classads-1.0.4.ebuild 616 RMD160 a55a3ec80ea0129f0a6ef8661797a2a1975e1db7 SHA1 1d65c28b1ef3a1a15e36cc61f75f0d2da933e46d SHA256 1163e243f810a2562680f7e693f726691786a0835da374d019f36a7c7439c632
+MISC ChangeLog 287 RMD160 338b78057e427c15501156008549e84b9f889d6f SHA1 fdadef4dcb536126e08a5f47b248555ee0a13103 SHA256 c0328fe39df3f144e762b0c711b2f01cbf81e22abdb3b21aa0e457d4638c3b19
+MISC metadata.xml 606 RMD160 8fe159e007a7c369fbbae6e196c8a8859b0075dc SHA1 bcb1611db4fd205000278fdffc9d897a5789f288 SHA256 ea7b4eeeae4e0e3de862567b527a5a1ddfc0562abbeb7304d2b0538865a9c4b2
diff --git a/sys-cluster/classads/classads-1.0.4.ebuild b/sys-cluster/classads/classads-1.0.4.ebuild
new file mode 100644
index 000000000..36f13b3fd
--- /dev/null
+++ b/sys-cluster/classads/classads-1.0.4.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+DESCRIPTION="Condor's classified advertisement language"
+HOMEPAGE="http://www.cs.wisc.edu/condor/classad"
+SRC_URI="ftp://ftp.cs.wisc.edu/condor/classad/c++/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="pcre"
+
+RDEPEND="pcre? ( dev-libs/libpcre )"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+ econf \
+ --enable-namespace \
+ --enable-flexible-member
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc README CHANGELOG NOTICE.txt
+}
diff --git a/sys-cluster/classads/metadata.xml b/sys-cluster/classads/metadata.xml
new file mode 100644
index 000000000..21a1310c0
--- /dev/null
+++ b/sys-cluster/classads/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>hp-cluster</herd>
+<maintainer>
+ <email>bicatali@gentoo.org</email>
+</maintainer>
+<longdescription lang='en'>
+ Classified Advertisements (classads) are the lingua franca of
+ Condor. They are used for describing jobs, workstations, and other
+ resources. They are exchanged by Condor processes to schedule
+ jobs. They are logged to files for statistical and debugging
+ purposes. They are used to enquire about current state of the system.
+</longdescription>
+</pkgmetadata>